package com.hzya.frame.mdm.mdmModuleRole.entity;

import java.util.Date;
import java.util.List;

import com.hzya.frame.mdm.mdmModuleRoleButton.entity.MdmModuleRoleButtonEntity;
import com.hzya.frame.web.entity.BaseEntity;

/**
 * 主数据功能角色表(MdmModuleRole)实体类
 *
 * @author makejava
 * @since 2023-10-17 15:32:25
 */
public class MdmModuleRoleEntity extends BaseEntity {

    /**
     * 主数据模版ID
     */
    private String mdmId;
    /**
     * 角色id
     */
    private String roleId;

    //角色按钮
    private List<MdmModuleRoleButtonEntity> mdmModuleRoleButtonEntities;
    public String getMdmId() {
        return mdmId;
    }

    public void setMdmId(String mdmId) {
        this.mdmId = mdmId;
    }

    public String getRoleId() {
        return roleId;
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    public List<MdmModuleRoleButtonEntity> getMdmModuleRoleButtonEntities() {
        return mdmModuleRoleButtonEntities;
    }

    public void setMdmModuleRoleButtonEntities(List<MdmModuleRoleButtonEntity> mdmModuleRoleButtonEntities) {
        this.mdmModuleRoleButtonEntities = mdmModuleRoleButtonEntities;
    }
}

